-- Demonstration
-- Note: This will create or update records
select member_id from members

exec p_member_create 0,'createsp1@syr.edu','Create','StoredProcedure','Omniest','1989-07-25','(315)555-4188','English','Crappy Spanish','','','','United States','White','Female','She/Her','Democratic','password1'
exec p_member_create 0,'createsp2@syr.edu','Create','StoredProcedure','Omniest','1989-07-25','(315)555-4188','English','Crappy Spanish','','','','United States','White','Female','She/Her','Democratic','password1'

SELECT * FROM v_member_list_all_info WHERE member_email LIKE 'createsp%'
DECLARE @pwchange INTEGER
EXEC @pwchange = p_password_validate 'password1',52
PRINT 'Expecting a 1 here: ' + CAST(@pwchange AS CHAR)

SELECT member_id, member_email, member_firstname, member_password FROM members ORDER BY member_id DESC

EXEC p_class_create 0,'Test Class',2,'2022-04-08 14:00:00','2022-04-08 15:00:00','Test class',25,2
SELECT * FROM v_classes_all WHERE class_name = 'Test Class'

EXEC p_class_update 17,'Test Class Updated',2,'2022-04-08 14:00:00','2022-04-08 15:00:00','Test class',25,2
SELECT * FROM v_classes_all WHERE class_name = 'Test Class Updated'

exec p_class_enroll_member 17, 50
SELECT * FROM v_class_enrollment WHERE class_id = 17 AND member_id = 50

exec p_class_enroll_member 17, 51
exec p_class_enroll_member 17, 52
SELECT * FROM v_class_enrollment WHERE class_id = 17

SELECT * FROM v_classes_upcoming
SELECT * FROM v_classes_prior

SELECT * FROM f_revenue_by_leader_id(1)
SELECT * FROM f_revenue_by_leader_timeframe('2022-04-01','2022-05-15')
SELECT * FROM f_revenue_by_timeframe('2022-04-01','2022-05-15')

SELECT * FROM v_members_demographics_only
SELECT * FROM f_wordcloud_by_class_id (2) ORDER BY demographic
SELECT * FROM f_gcd_by_class_id (2, 5)
SELECT * FROM f_lcd_by_class_id (2, 10)
